Skip to main content
`Ctrl`+`K`

# PetscWeakFormGetNumFields

Returns the number of fields in a `PetscWeakForm`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormGetNumFields(PetscWeakForm wf, PetscInt *Nf)

Not Collective

## Input Parameter

- wf - The `PetscWeakForm` object

## Output Parameter

- Nf - The number of fields

## See Also

`PetscWeakForm`, `PetscWeakFormSetNumFields()`, `PetscWeakFormCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages